## ros-jazzy-tf2 0.36.4

=== debian/changelog ===
ros-jazzy-tf2 (0.36.4-1bookworm) bookworm; urgency=high

  * Removed warning (#682 <https://github.com/ros2/geometry2/issues/682>) (#683 <https://github.com/ros2/geometry2/issues/683>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * [TimeCache] Improve performance for insertData() and pruneList() (#680 <https://github.com/ros2/geometry2/issues/680>) (#686 <https://github.com/ros2/geometry2/issues/686>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
    (cherry picked from commit d700d78611ca2f2a56128ee71dd157961a1f4fb4)
    Co-authored-by: Eric Cousineau <mailto:eric.cousineau@tri.global>
  * Add cache_benchmark (#679 <https://github.com/ros2/geometry2/issues/679>) (#690 <https://github.com/ros2/geometry2/issues/690>)
    * Add cache_benchmark
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
    (cherry picked from commit 381d381739d008f83c2ebdf39034d46a19ea364e)
    Co-authored-by: Eric Cousineau <mailto:eric.cousineau@tri.global>
  * [cache_unittest] Add direct implementation testing on ordering, pruning (#678 <https://github.com/ros2/geometry2/issues/678>) (#687 <https://github.com/ros2/geometry2/issues/687>)
    * [cache_unittest] Add direct implementation testing on ordering, pruning
    * do getAllItems() approach
    * Return a reference instead.
    * mark getAllItems as internal
    * Fix warning on Windows.
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
    (cherry picked from commit a17a2bf8297052d2c6a404f9799bfe3b81040482)
    Co-authored-by: Eric Cousineau <mailto:eric.cousineau@tri.global>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 28 May 2024 22:00:00 -0000

ros-jazzy-tf2 (0.36.3-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 12 May 2024 22:00:00 -0000

ros-jazzy-tf2 (0.36.2-1bookworm) bookworm; urgency=high

  * Enable Twist interpolator (#646 <https://github.com/ros2/geometry2/issues/646>)
    Co-authored-by: Tully Foote <mailto:tullyfoote@intrinsic.ai>
  * Warning Message Intervals for canTransform (#663 <https://github.com/ros2/geometry2/issues/663>)
  * Contributors: Alejandro Hernández Cordero, Lucas Wendland

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 09 Apr 2024 22:00:00 -0000

ros-jazzy-tf2 (0.36.1-1bookworm) bookworm; urgency=high

  * Nacho/minor fixes tf2 cache (#658 <https://github.com/ros2/geometry2/issues/658>)
  * Removing console_bridge (#655 <https://github.com/ros2/geometry2/issues/655>)
  * Contributors: Ignacio Vizzo, Lucas Wendland

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-jazzy-tf2 (0.36.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-jazzy-tf2 (0.35.1-1bookworm) bookworm; urgency=high

  * Fix constantly increasing memory in std::list (#636 <https://github.com/ros2/geometry2/issues/636>)
  * Contributors: Ignacio Vizzo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-jazzy-tf2 (0.35.0-1bookworm) bookworm; urgency=high

  * Update the tf2 documentation (#638 <https://github.com/ros2/geometry2/issues/638>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-jazzy-tf2 (0.34.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-jazzy-tf2 (0.33.2-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-jazzy-tf2 (0.33.1-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-jazzy-tf2 (0.33.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-jazzy-tf2 (0.32.2-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-jazzy-tf2 (0.32.1-1bookworm) bookworm; urgency=high

  * Fix error code returned in BufferCore::walkToTopParent (#601 <https://github.com/ros2/geometry2/issues/601>)
  * Contributors: Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 May 2023 22:00:00 -0000

ros-jazzy-tf2 (0.32.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-jazzy-tf2 (0.31.2-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Apr 2023 22:00:00 -0000

ros-jazzy-tf2 (0.31.1-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 22:00:00 -0000

ros-jazzy-tf2 (0.31.0-1bookworm) bookworm; urgency=high

  * Depend on ament_cmake_ros to default SHARED to ON (#591 <https://github.com/ros2/geometry2/issues/591>)
  * Fix a potential crash in TimeCache::findClosest (#592 <https://github.com/ros2/geometry2/issues/592>)
  * Extend TimeCache API to provide rich ExtrapolationException infos (#586 <https://github.com/ros2/geometry2/issues/586>)
  * Contributors: Chris Lalancette, Patrick Roncagliolo, Tyler Weaver

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-jazzy-tf2 (0.30.0-1bookworm) bookworm; urgency=high

  * Update geometry2 to C++17 (#584 <https://github.com/ros2/geometry2/issues/584>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-jazzy-tf2 (0.29.0-1bookworm) bookworm; urgency=high

  * Include required header Scalar.h (#559 <https://github.com/ros2/geometry2/issues/559>)

